> For the complete documentation index, see [llms.txt](https://docs.overdare.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.overdare.com/development/api-reference/enums/velocityconstraintmode.md).

# VelocityConstraintMode

## Overview

VelocityConstraintMode is an Enum that determines how velocity is constrained within the system. Velocity can be constrained along a line, within a plane, or to a specific vector.

This is used in the VelocityConstraintMode property of LinearVelocity. The behavior of each mode varies depending on the RelativeTo property.

## Items

| Name   | Value | Description                                                                                                                                                                                                                                                                                                                                                                                                             |
| ------ | ----- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Line   | 0     | <p>Constrains velocity along a single line. The direction of this line is defined by the RelativeTo property:</p><ul><li>Attachment0: The line aligns with the main axis of Attachment0.</li><li>Attachment1: The line aligns with the main axis of Attachment1.</li><li>World: The exact direction of the line must be explicitly provided.</li></ul>                                                                  |
| Plane  | 1     | <p>Constrains velocity within a plane. The tangent directions of the plane are determined by the RelativeTo property:</p><ul><li>Attachment0: The tangent directions are derived from the two axes of Attachment0.</li><li>Attachment1: The tangent directions are derived from the two axes of Attachment1.</li><li>World: Both tangent directions of the plane must be explicitly defined.</li></ul>                  |
| Vector | 2     | <p>Makes velocity matches to the components of a specified vector. The coordinate system of the vector is defined by the RelativeTo property:</p><ul><li>Attachment0: Vector components are relative to the axis of Attachment0.</li><li>Attachment1: Vector components are relative to the axis of Attachment1.</li><li>World: Vector components must be explicitly defined in the global coordinate system.</li></ul> |

## See also

{% content-ref url="/pages/FusLxqJwK8wA5H9rxNSI" %}
[LinearVelocity](/development/api-reference/classes/linearvelocity.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.overdare.com/development/api-reference/enums/velocityconstraintmode.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
